| My Project

Public Member Functions | Properties | List of all members
Business.ManagerUsers Class Reference

Class Manager qui gère les Experts et les Utilisateurs More...

## Public Member Functions
| ManagerUsers (IPersistanceManager pers)
| constructeur avec INJECTION DE LA DéPENDANCE
void | LoadUsers ()
| Méthode LoadUsers de la classe ManagerUser qui permet de charger les liste d'Utilisateurs et d'Experts grâce à l'IPersistanceManager
void | SaveUsers ()
| Méthode SaveUsers de la classe ManagerUser qui permet de sauvegarder les listes d'Utilisateurs et d'Experts grâce à l'IPersistanceManager
bool | AjouterUtilisateur (Utilisateur user)
| Méthode AjouterUtilisateur de la classe ManagerUser qui permet d'ajouter un Utilisateur dans la liste d'Utilisateurs More...
bool | SupprimerUtilisateur (Utilisateur user)
| Méthode SupprmierUtilisateur de la classe ManagerUser qui permet de supprimer un Utilisateur de la liste des Utilisateurs More...
bool | AjouterExpert (Expert expert)
| Méthode AjouterExpert de la classe ManagerUser qui permet d'ajouter un Expert dans la liste d'Experts More...
bool | SupprimerExpert (Expert expert)
| Méthode SupprmierExpertr de la classe ManagerUser qui permet de supprimer un Expert de la liste des Experts More...
Personne | GetPersonne (Personne pers)
| Méthode GetPersonne de la classe ManagerUser qui permet de récupérer une personne dans la liste de personne (Expert et Utilisateur) More...
bool | ModifieUtilisateur (Utilisateur oldU, Utilisateur newU)
| Méthode ModifieUtilisateur de la classe ManagerUser qui permet de modifier un ancien Utilisateur de la liste des Utilisateurs à partir d'un nouveau More...
bool | ModifieExpert (Expert oldE, Expert newE)
| Méthode ModifieExpert de la classe ManagerUser qui permet de modifier un ancien Expert de la liste des Experts à partir d'un nouveau More...

## Properties
List< Utilisateur > | Utilisateurs`[get]`
| List d'Utilisateur, la liste des utilisateurs de l'application
List< Expert > | Experts`[get]`
| List d'Expert, la liste des experts de l'application
Personne | SelectedUser`[get, set]`
| L'utilisateur ou l'expert actuellement connecté
IPersistanceManager | Pers`[get, set]`
| DéPENDANCE

## Detailed Description

Class Manager qui gère les Experts et les Utilisateurs

## Member Function Documentation

## ◆ AjouterExpert()

bool Business.ManagerUsers.AjouterExpert | ( | Expert | expert | ) |
| inline

Méthode AjouterExpert de la classe ManagerUser qui permet d'ajouter un Expert dans la liste d'Experts

Parameters

  expert | Expert qui va être ajouté dans la liste

Returns
  Booléen : true si il a été ajouté, false sinon

## ◆ AjouterUtilisateur()

bool Business.ManagerUsers.AjouterUtilisateur | ( | Utilisateur | user | ) |
| inline

Méthode AjouterUtilisateur de la classe ManagerUser qui permet d'ajouter un Utilisateur dans la liste d'Utilisateurs

Parameters

  user | Utilisateur qui va être ajouté dans la liste

Returns
  Booléen : true si il a été ajouté, false sinon

## ◆ GetPersonne()

Personne Business.ManagerUsers.GetPersonne | ( | Personne | pers | ) |
| inline

Méthode GetPersonne de la classe ManagerUser qui permet de récupérer une personne dans la liste de personne (Expert et Utilisateur)

Parameters

  pers | Personne que l'on cherche dans dans la liste

Returns
  Personne trouvée

## ◆ ModifieExpert()

bool Business.ManagerUsers.ModifieExpert | ( | Expert | oldE,
|  | Expert | newE
| ) |  |
| inline

Méthode ModifieExpert de la classe ManagerUser qui permet de modifier un ancien Expert de la liste des Experts à partir d'un nouveau

Parameters

  oldE | Expert l'ancien Expert dans la liste des experts
  newE | Expert le nouveau Expert

Returns
  Booléen : true si il a été modifié, false sinon

## ◆ ModifieUtilisateur()

bool Business.ManagerUsers.ModifieUtilisateur | ( | Utilisateur | oldU,
|  | Utilisateur | newU
| ) |  |
| inline

Méthode ModifieUtilisateur de la classe ManagerUser qui permet de modifier un ancien Utilisateur de la liste des Utilisateurs à partir d'un nouveau

Parameters

  oldU | Utilisateur l'ancien Utilisateur dans la liste des utilisateurs
  newU | Utilisateur le nouvel requin

Returns
  Booléen : true si il a été modifié, false sinon

## ◆ SupprimerExpert()

bool Business.ManagerUsers.SupprimerExpert | ( | Expert | expert | ) |
| inline

Méthode SupprmierExpertr de la classe ManagerUser qui permet de supprimer un Expert de la liste des Experts

Parameters

  expert | Expert qui va être supprimé dans la liste

Returns
  Booléen : true si il a été supprimé, false sinon

## ◆ SupprimerUtilisateur()

bool Business.ManagerUsers.SupprimerUtilisateur | ( | Utilisateur | user | ) |
| inline

Méthode SupprmierUtilisateur de la classe ManagerUser qui permet de supprimer un Utilisateur de la liste des Utilisateurs

Parameters

  user | Utilisateur qui va être supprimé dans la liste

Returns
  Booléen : true si il a été supprimé, false sinon

The documentation for this class was generated from the following file:

- Business/ManagerUsers.cs